@mixin make-grid-column($s) {
    #{$s}col-auto{ 
        grid-column: auto;
    }

    #{$s}col-start-auto{ 
        grid-column-start: auto;
    }

    #{$s}col-end-auto{ 
        grid-column-end: auto;
    }

    #{$s}col-span-full{ 
        grid-column: 1 / -1;
    }

    @for $i from 1 through 24 {
        #{$s}col-span-#{$i}{ 
            grid-column: span #{$i} / span #{$i};
        }

        #{$s}col-start-#{$i}{ 
            grid-column-start: #{$i};
        }

        #{$s}col-end-#{$i}{ 
            grid-column-end: #{$i};
        }
    }
}